connectivity-api: connectivityqt::Sim Class Reference

connectivity-api

Classes | Public Slots | Signals | Public Member Functions | Protected Attributes | Properties | List of all members
connectivityqt::Sim Class Reference

`#include <connectivityqt/sim.h>`

Inheritance diagram for connectivityqt::Sim:
[legend]
Collaboration diagram for connectivityqt::Sim:
[legend]

## Classes
class | Priv

## Public Slots
void | unlock ()

## Signals
void | lockedChanged (bool value)
void | presentChanged (bool value)
void | dataRoamingEnabledChanged (bool value)
void | imsiChanged (const QString &value)
void | primaryPhoneNumberChanged (const QString &value)
void | mccChanged (const QString &value)
void | mncChanged (const QString &value)
void | preferredLanguagesChanged ()

## Public Member Functions
| UNITY_DEFINES_PTRS (Sim)
| Sim (const QDBusObjectPath &path, const QDBusConnection &connection, QObject *parent=0)
virtual | ~Sim ()
QDBusObjectPath | path () const
QString | iccid () const
QString | imsi () const
QString | primaryPhoneNumber () const
bool | locked () const
bool | present () const
QString | mcc () const
QString | mnc () const
QList< QString > | preferredLanguages () const
bool | dataRoamingEnabled () const
void | setDataRoamingEnabled (bool value)

## Protected Attributes
std::shared_ptr< Priv > | d

## Properties
QDBusObjectPath | path
QString | Iccid
QString | Imsi
QString | PrimaryPhoneNumber
bool | Locked
bool | Present
QString | Mcc
QString | Mnc
QList< QString > | PreferredLanguages
bool | DataRoamingEnabled

## Constructor & Destructor Documentation

## ◆ Sim()

connectivityqt::Sim::Sim | ( | const QDBusObjectPath & | path,
|  | const QDBusConnection & | connection,
|  | QObject * | parent = `0`
| ) |  |

## ◆ ~Sim()

connectivityqt::Sim::~Sim | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ dataRoamingEnabled()

bool connectivityqt::Sim::dataRoamingEnabled | ( |  | ) | const

## ◆ dataRoamingEnabledChanged

void connectivityqt::Sim::dataRoamingEnabledChanged | ( | bool | value | ) |
| signal

## ◆ iccid()

QString connectivityqt::Sim::iccid | ( |  | ) | const

## ◆ imsi()

QString connectivityqt::Sim::imsi | ( |  | ) | const

## ◆ imsiChanged

void connectivityqt::Sim::imsiChanged | ( | const QString & | value | ) |
| signal

## ◆ locked()

bool connectivityqt::Sim::locked | ( |  | ) | const

## ◆ lockedChanged

void connectivityqt::Sim::lockedChanged | ( | bool | value | ) |
| signal

## ◆ mcc()

QString connectivityqt::Sim::mcc | ( |  | ) | const

## ◆ mccChanged

void connectivityqt::Sim::mccChanged | ( | const QString & | value | ) |
| signal

## ◆ mnc()

QString connectivityqt::Sim::mnc | ( |  | ) | const

## ◆ mncChanged

void connectivityqt::Sim::mncChanged | ( | const QString & | value | ) |
| signal

## ◆ path()

QDBusObjectPath connectivityqt::Sim::path | ( |  | ) | const

## ◆ preferredLanguages()

QList< QString > connectivityqt::Sim::preferredLanguages | ( |  | ) | const

## ◆ preferredLanguagesChanged

void connectivityqt::Sim::preferredLanguagesChanged | ( |  | ) |
| signal

## ◆ present()

bool connectivityqt::Sim::present | ( |  | ) | const

## ◆ presentChanged

void connectivityqt::Sim::presentChanged | ( | bool | value | ) |
| signal

## ◆ primaryPhoneNumber()

QString connectivityqt::Sim::primaryPhoneNumber | ( |  | ) | const

## ◆ primaryPhoneNumberChanged

void connectivityqt::Sim::primaryPhoneNumberChanged | ( | const QString & | value | ) |
| signal

## ◆ setDataRoamingEnabled()

void connectivityqt::Sim::setDataRoamingEnabled | ( | bool | value | ) |

## ◆ UNITY_DEFINES_PTRS()

connectivityqt::Sim::UNITY_DEFINES_PTRS | ( | Sim |  | ) |

## ◆ unlock

void connectivityqt::Sim::unlock | ( |  | ) |
| slot

## Member Data Documentation

## ◆ d

std::shared_ptr<Priv> connectivityqt::Sim::d
| protected

## Property Documentation

## ◆ DataRoamingEnabled

bool connectivityqt::Sim::DataRoamingEnabled
| readwrite

## ◆ Iccid

QString connectivityqt::Sim::Iccid
| read

## ◆ Imsi

QString connectivityqt::Sim::Imsi
| read

## ◆ Locked

bool connectivityqt::Sim::Locked
| read

## ◆ Mcc

QString connectivityqt::Sim::Mcc
| read

## ◆ Mnc

QString connectivityqt::Sim::Mnc
| read

## ◆ path

QDBusObjectPath connectivityqt::Sim::path
| read

## ◆ PreferredLanguages

QList<QString> connectivityqt::Sim::PreferredLanguages
| read

## ◆ Present

bool connectivityqt::Sim::Present
| read

## ◆ PrimaryPhoneNumber

QString connectivityqt::Sim::PrimaryPhoneNumber
| read

The documentation for this class was generated from the following files:

- connectivityqt/sim.h
- connectivityqt/sim.cpp